package _VisualDVM.Passes.SSH;
import _VisualDVM.Current;
import _VisualDVM.Global;
//завязан на текущие машину и юзера
public abstract class CurrentConnectionPass<T> extends ConnectionPass<T> {
    @Override
    protected boolean needsAnimation() {
        return true;
    }
    @Override
    protected boolean canStart(Object... args) {
        return Global.mainModule.Check(Log, Current.User);
    }
    @Override
    public void Connect() throws Exception {
        machine = Global.mainModule.getMachine();
        user = Global.mainModule.getUser();
        super.Connect();
    }
}
